Ga naar inhoud

Cisco waarschuwt voor ongepatcht lek in Windows XP


Aanbevolen berichten

Netwerkgigant Cisco waarschuwt gebruikers van Windows XP voor een lek in het besturingssysteem waarvoor geen patch meer verschijnt, maar waardoor aanvallers via een USB-stick volledige controle over de computer kunnen krijgen. De kwetsbaarheid bevindt zich in de FAT32-schijfpartitiedriver.

In oktober patchte Microsoft de kwetsbaarheid in Windows Server 2003, Windows Vista en Server 2008. Windows XP met Service Pack 3 is echter ook kwetsbaar, stelt Marcin Noga van Cisco. Omdat XP niet meer door Microsoft wordt ondersteund krijgen gebruikers echter geen updates meer. Om het lek te misbruiken zou een aanvaller een kwaadaardige usb-stick met een misvormde FAT32-partitie op een kwetsbaar systeem moeten aansluiten.

Het probleem wordt veroorzaakt door kwetsbare code in de FastFAT.sys driver en kan via een misvormde FAT32 bootsector op een USB-stick worden aangevallen. De USB-stick zal in dit geval een "pool overflow" veroorzaken waardoor een aanvaller zijn rechten kan verhogen en systeembeheerderrechten kan krijgen. Volgens Noga is het lek lastig aan te vallen, maar moet het daarom niet worden genegeerd.

"Deze kwetsbaarheid is duidelijk een serieus probleem voor gebruikers die nog steeds Windows XP gebruiken. Helaas zal het lek niet worden gepatcht omdat Windows XP geen ondersteuning meer krijgt. Daarom zullen gebruikers naar een nieuwere Windowsversie moeten upgraden als ze tegen dit specifieke lek beschermd willen zijn", aldus de onderzoeker. Eerder waarschuwde ook Trend Micro voor deze specifieke kwetsbaarheid, maar meldde toen niet dat ook XP-gebruikers risico lopen.

bron: security.nl

Link naar reactie
Delen op andere sites


 Delen

×
×
  • Nieuwe aanmaken...